#
# spec file for package python-openidc-client
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define skip_python2 1
%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-openidc-client
Version:        0.6.0
Release:        1.19
Summary:        Python OpenID client
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/puiterwijk/python-openidc-client
Source0:        https://github.com/puiterwijk/python-openidc-client/archive/v%{version}.tar.gz
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module requests}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-requests
BuildArch:      noarch
%python_subpackages

%description
Python client for OpenID including token caching and management.

%prep
%setup -q -n python-openidc-client-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%license COPYING
%doc README.md
%{python_sitelib}/*

%changelog
* Wed Nov 18 2020 John Vandenberg <jayvdb@gmail.com>
- Convert to single spec
- Activate test suite
* Wed Jul 10 2019 Jonathan Brielmaier <jbrielmaier@suse.de>
- Tidy spec
* Tue Mar  5 2019 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v0.6.0.git.cd8d91c
